package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.jutil.jdk.web.result.Result;
import cn.reghao.tnb.common.db.PageScroll;
import cn.reghao.tnb.content.app.vod.model.po.BannerVideo;
import cn.reghao.tnb.content.api.dto.VideoCard;
import cn.reghao.tnb.content.app.vod.model.vo.BannerVideoVO;

import java.util.*;

/**
 * @author reghao
 * @date 2022-08-05 13:49:28
 */
public interface RecommendService {
    List<VideoCard> getRecommendVideos(long userId, String nextId);
    void putRecommendVideos(long loginUser, int size);
    void resetUserRcmd(long userId);
    void dislikeVideo(long userId, String videoId);
    String getSimilarVideos(String videoId);
    PageScroll<VideoCard> getVideoTimeline(long userId, String nextIdStr);
    List<BannerVideoVO> getBannerVideos();
    Result setRecommendMode(boolean mode);
    boolean getRecommendMode();
}
